Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2028062 - build python3 image for fedora 35
Summary: build python3 image for fedora 35
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Container Images
Classification: Fedora
Component: python3
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lumír Balhar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-01 12:20 UTC by Tobias Florek
Modified: 2022-11-29 19:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-29 19:27:57 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Tobias Florek 2021-12-01 12:20:37 UTC
Is it possible to help, e.g. request a branch f35 for containers/python3?  Is it possible to do that automatically?

Comment 1 Lumír Balhar 2021-12-01 13:18:35 UTC
Hello.

Nice to hear that the image actually has some users. May I ask you what are you using the image for? I'm going to request a new branch and I'll try to build the image as soon as possible.

Comment 2 Tobias Florek 2021-12-01 19:45:33 UTC
Yes, I am regularly using several Fedora images from registry.fedoraproject.org.  Pretty much always if I had to add additional packages to ubi8 images.  This time it's as a builder for a python application with an additional unoconv package.

Comment 3 Lumír Balhar 2021-12-02 09:28:56 UTC
I've requested new branches for python3, s2i-core, and s2i-base images.

Comment 4 Tobias Florek 2021-12-02 16:19:52 UTC
Thank you!  As a medium consumer of registry.fedoraproject.org, I often run into not updated images.  Do you know whether the auto-new-branches when a new fedora release happens also works with container images?  If not, do you know the component that I can ping/fix to allow it?

Comment 5 Tobias Florek 2021-12-03 07:29:22 UTC
I see the branches have been created but nothing has been built.  Is that another manual step?  And how and when do the images get rebuilt?  I do not see any (security) updates.

Comment 6 Lumír Balhar 2021-12-06 07:10:29 UTC
I have multiple bad news for you. The most important is that the containers currently don't build, see: https://pagure.io/fedora-infrastructure/issue/10402

Another one is that you'll be facing outdated containers in Fedora very often because being a maintainer of a container image in Fedora is painful and there is no automation. You have to request new branches for new fedora releases manually but this is not the worst. I co-maintain three s2i images in Fedora/RHEL/Centos and they are all in a row: f35 → s2i-core → s2i-base → python3. Unfortunately, there is no way how to automatically rebuild dependant images when one of them changes so you have to do it all manually. Still not impressed? Well, you cannot rebuild all of them at once because you cannot use a container image from testing (candidate registry) to build next one in the chain so after every build, you have to create an update, wait until it reaches stable and then you can rebuild the next one. It seems that there is a way how to work around it but nobody knows how it works and nobody cares for months, for example https://pagure.io/ContainerSIG/container-sig/issue/52

Are you interested in container images in Fedora? It would be nice to have somebody who would dedicate some time to this.

Comment 7 Lumír Balhar 2021-12-23 11:02:42 UTC
There is a problem in Koji preventing me to build the image, see: https://pagure.io/fedora-infrastructure/issue/10437

If you really need the image, you can take the source files from upstream: https://github.com/sclorg/s2i-python-container/pull/486

Even the CI and Koji are both broken, I've verified that the image works and all tests we have passed.

Comment 8 Lumír Balhar 2022-01-20 09:42:56 UTC
The image is ready. Could you please test it?

https://bodhi.fedoraproject.org/updates/FEDORA-CONTAINER-2022-84cdd058eb

Comment 9 Tobias Florek 2022-01-20 10:13:46 UTC
Is there a way to pull the image using standard means or do I have to download the tarball and import?

Comment 10 Lumír Balhar 2022-01-20 10:41:18 UTC
It should be soon available in the candidate registry, this should work: podman pull candidate-registry.fedoraproject.org/f35/python3:0-41.container

Comment 11 Ben Cotton 2022-11-29 17:25:39 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.


Note You need to log in before you can comment on or make changes to this bug.